﻿.video-js {
    width: 100% !important;
    height: auto !important;
    aspect-ratio: 16 / 9;
}
    .video-js,
    .video-js .vjs-poster {
        border-radius: 20px;
        overflow: hidden;
    }

    .video-js video {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    .video-js .vjs-control-bar {
        bottom: 0 !important;
        top: auto !important;
    }

    .video-js .vjs-big-play-button {
        left: 50% !important;
        top: 50% !important;
        transform: translate(-50%, -50%);
        margin: 0 !important;
    }

@media (max-width: 767px) {
    .video-js {
        width: 100% !important;
        height: auto !important;
        aspect-ratio: 16 / 9;
    }

        .video-js .vjs-control-bar {
            bottom: 0 !important;
            top: auto !important;
        }

        .video-js .vjs-big-play-button {
            left: 50% !important;
            top: 50% !important;
            transform: translate(-50%, -50%);
        }
}